---
title: "ArWeb "
description: "Lgado eterno de sitios webs. Una web sin dominio, universal y resistente a la censura, bloqueos y ataques"
image: ""
categories:
  - ""
  - ""
tags:
  - ""
date: 2025-03-03
authors:
  - "Zenaku"
---
**ArWeb** es un creador de páginas web estáticas para la red **Arweave**, también conocido como **Eternal Legacy (arWeb-EternalLegacy)**.

El código es libre, siéntase a gusto de editarlo. Desarrollado en Ubuntu.

**Solo se ha probado en Linux**
**Teóricamente funciona en todos los sistemas operativos**

---

## Índice

- [Instalación manual](#instalación-manual)
- [Instalación automática (recomendada)](#instalación-automática-recomendada)
- [Formas de uso](#formas-de-uso)
- [Descargo de responsabilidades](#descargo-de-responsabilidades)
- [Preguntas frecuentes](#preguntas-frecuentes)
- [Contacto y créditos](#contacto-y-créditos)

---

## Instalación manual

### Requisitos

- Python 3
- Hugo
- ArDrive

### Pasos

1. Descargue y extraiga todos los archivos del repositorio:  
   `.config_app`, `main.py`, `worker.py`, `requirements.txt`, `*.AppImage`

2. Cree un entorno virtual dentro de la carpeta extraída:
   ```bash
   python3 -m venv venv

3. Active el entorno virtual
   ```bash
   source venv/bin/activate

4. Instale los requerimientos
   ```bash
   pip install -r requirements.txt

5. Ejecute
   ```bash
   python main.py

---

## Instalación automática (recomendada)

### Requisitos

- Python 3
- Hugo (opcional)
- ArDrive

### Pasos

Esta instalación es la más sencilla y práctica. Hace lo mismo que la instalación manual, pero con un solo clic:

1. Descargue el archivo .AppImage

2. Ejecútelo. Se instalará una carpeta llamada ArWeb en su directorio Documentos y se lanzará la aplicación automáticamente.

**Para futuras ejecuciones, no volverá a crear carpetas, solo ejecutará la app directamente.**

---

## Formas de uso

### Requisitos iniciales

- Una wallet Arweave (puede crear una nueva o importar una existente).

### Flujo de trabajo

1. Seleccione si desea:
   - Editar una web ya creada
   - Crear una desde cero

2. Seleccione o importe una plantilla  
   *(Las plantillas están en formato `.zip` y pueden descargarse desde la web oficial)*

3. Complete los campos del formulario:
   - **Project name**: nombre del proyecto (carpeta raíz)
   - **Website name**: nombre del sitio web
   - **Web description**: descripción visible en motores de búsqueda
   - **SEO keywords**: palabras clave separadas por comas (para posicionamiento SEO)
   - **Favicon**: imagen que aparece en las pestañas del navegador

4. La columna derecha incluye campos personalizados según la plantilla. Rellene todos los campos requeridos.

5. Después de completar el formulario podrá:
   - Ver el sitio en su navegador
   - Abrir la carpeta del proyecto
   - Publicar en Arweave


### Para editar su sitio web:

- Presione **Edit website**
- Seleccione el nombre del proyecto en la esquina superior derecha

Podrá:
- Abrir la ubicación local del sitio
- Ver su manifiesto
- Agregar contenido nuevo

---

## Descargo de responsabilidades

- **ArWeb no recolecta ningún dato personal.**  
  El código está disponible públicamente para su inspección.

- **Las plantillas `.zip` están firmadas digitalmente.**  
  Si detecta una firma inválida, desconfíe del archivo o del autor.

---

## Preguntas frecuentes

### ¿Dónde se guarda mi sitio web localmente?
Todos los proyectos se almacenan en:

```
.config_app/profiles/default/
```

`.config_app` es una carpeta oculta.


### ¿Qué necesito para publicar en Arweave?
Necesitarás tokens **AR**.  
Con aproximadamente **$1–$2 USD** es suficiente para publicar.


### ¿Puedo actualizar un sitio después de subirlo?
Sí.  
ArWeb utiliza un sistema de **criptografía local** para:

- Detectar qué archivos ya han sido subidos.
- Subir solo los nuevos.
- Actualizar el manifiesto, preservando metadatos anteriores.
- Evitar gastos innecesarios.

---

## Contacto y créditos

- **Autor principal**: Zenaku  
Direccion monero
   ```bash
   41kbbxc2VYtHmc9jNAnRoSTqxCAfXz1XdR1WfVWQNKsMGFL8MWcsxTQSoNUmiDNPnNNh1FkKKSjZn2uAXHTP8Jhv1GeGfwr


- **Colaborador**: SimplifiedPrivacy
Direccion monero
   ```bash
   xx

Apoya este proyecto y la libertad digital con una donación


¡Gracias por usar **ArWeb**!