---
title: "ArWeb"
description: "Eternal legacy of websites. A domain-less, universal web resistant to censorship, blocks, and attacks."
image: ""
categories:
  - ""
  - ""
tags:
  - ""
date: 2025-03-03
authors:
  - "Zenaku"
---
**ArWeb** is a static website builder for the **Arweave** network, also known as **Eternal Legacy (arWeb-EternalLegacy)**.

The code is open source — feel free to edit it. Developed on Ubuntu.

**Only tested on Linux**  
**Theoretically works on all operating systems**

---

## Index

- [Manual Installation](#manual-installation)
- [Automatic Installation (Recommended)](#automatic-installation-recommended)
- [Usage](#usage)
- [Disclaimer](#disclaimer)
- [Frequently Asked Questions](#frequently-asked-questions)
- [Contact and Credits](#contact-and-credits)

---

## Manual Installation

### Requirements

- Python 3  
- Hugo  
- ArDrive  

### Steps

1. Download and extract all repository files:  
   `.config_app`, `main.py`, `worker.py`, `requirements.txt`, `*.AppImage`

2. Create a virtual environment inside the extracted folder:
   ```bash
   python3 -m venv venv

3. Activate the virtual environment:
   ```bash
   source venv/bin/activate

4. Install the requirements:
   ```bash
   pip install -r requirements.txt

5. Run:
   ```bash
   python main.py

---

## Automatic Installation (Recommended)

### Requirements

- Python 3
- Hugo (opcional)
- ArDrive

### Steps

This is the easiest and most practical method. It does the same as the manual installation but with a single click:

1. Download the .AppImage file.

2. Run it. A folder called ArWeb will be created in your Documents directory and the app will launch automatically.

**For future executions, it will not create new folders — it will just launch the app directly.**

---

## Usage

### Initial Requirements

- An Arweave wallet (you can create a new one or import an existing one).


### Workflow

1. Choose whether to:
   - Edit an existing website
   - Create a new one from scratch

2. Select or import a template
   *(Templates are in .zip format and can be downloaded from the official website)*


3. Fill in the form fields:
   - **Project name**: name of the project (root folder)
   - **Website name**: name of the site
   - **Web description**: visible in search engines
   - **SEO keywords**: comma-separated keywords for SEO
   - **Favicon**: image shown in browser tabs

4. The right-hand column includes custom fields based on the selected template. Fill in all required fields.
5. After completing the form, you can:
   - View the site in your browser

   - View the site in your browser

   - Publish to Arweave

### To edit your website:

- Click **Edit website**
- Select the project name in the top right corner


You can then:
- Open the local site folder
- View the manifest
- Add new content

---

## Disclaimer

- **ArWeb does not collect any personal data.**  
  The code is available publicly for review.


- **The layouts`.zip` are digitally signed.**  
  If you detect an invalid signature, be cautious of the file or the author.

---

## Frequently Asked Questions

### Where is my website stored locally?
All projects are saved in:

```
.config_app/profiles/default/
```

`.config_app` is a hidden folder.







### 
What do I need to publish to Arweave?
You’ll need AR tokens.
About $1–$2 USD is enough to publish.


### Can I update a site after uploading?
Yes.
ArWeb uses a local **cryptography system** to:

- Detect already uploaded files
- Upload only new files
- Update the manifest while preserving previous metadata
- Avoid unnecessary expenses

---

## Contact and Credits

- **Author main**: Zenaku  
Monero address:
   ```bash
   41kbbxc2VYtHmc9jNAnRoSTqxCAfXz1XdR1WfVWQNKsMGFL8MWcsxTQSoNUmiDNPnNNh1FkKKSjZn2uAXHTP8Jhv1GeGfwr


- **Contributor:**: SimplifiedPrivacy
Monero address:
   ```bash
   89gbof7fHub9dSMGVX2mGhDggU8TWXuFtGxbKefVNCpWCa377BS8uPzRr831Qd86FWRvPDTrvjkbHYZHgs5nmohRL5j1KiH


Monero address:
   ```bash
   XXX

Support this project and digital freedom with a donation.

Thank you for using ArWeb!
